log4cplus::NDCContextCreator Class Reference

This class ensures that a NDC::push() call is always matched with a NDC::pop() call even in the face of exceptions. More...

`#include <ndc.h>`

## Public Member Functions

| NDCContextCreator (const log4cplus::tstring &msg)
| Pushes `msg` onto the NDC stack.
| NDCContextCreator (tchar const *msg)
| NDCContextCreator ()=delete
| NDCContextCreator (NDCContextCreator const &)=delete
| NDCContextCreator (NDCContextCreator &&)=delete
NDCContextCreator & | operator= (NDCContextCreator const &)=delete
NDCContextCreator & | operator= (NDCContextCreator &&)=delete
| ~NDCContextCreator ()
| Pops the NDC stack.

## Detailed Description

This class ensures that a NDC::push() call is always matched with a NDC::pop() call even in the face of exceptions.

Definition at line 310 of file ndc.h.

## Constructor & Destructor Documentation

## NDCContextCreator() [1/5]

log4cplus::NDCContextCreator::NDCContextCreator | ( | const log4cplus::tstring & | msg | ) |

explicit

Pushes `msg` onto the NDC stack.

Referenced by NDCContextCreator(), NDCContextCreator(), operator=(), and operator=().

## NDCContextCreator() [2/5]

log4cplus::NDCContextCreator::NDCContextCreator | ( | tchar const * | msg | ) |

explicit

## NDCContextCreator() [3/5]

log4cplus::NDCContextCreator::NDCContextCreator | ( |  | ) |

delete

## NDCContextCreator() [4/5]

log4cplus::NDCContextCreator::NDCContextCreator | ( | NDCContextCreator const & |  | ) |

delete

References NDCContextCreator().

## NDCContextCreator() [5/5]

log4cplus::NDCContextCreator::NDCContextCreator | ( | NDCContextCreator && |  | ) |

delete

References NDCContextCreator().

## ~NDCContextCreator()

log4cplus::NDCContextCreator::~NDCContextCreator | ( |  | ) |

Pops the NDC stack.

## Member Function Documentation

## operator=() [1/2]

NDCContextCreator & log4cplus::NDCContextCreator::operator= | ( | NDCContextCreator && |  | ) |

delete

References NDCContextCreator().

## operator=() [2/2]

NDCContextCreator & log4cplus::NDCContextCreator::operator= | ( | NDCContextCreator const & |  | ) |

delete

References NDCContextCreator().

The documentation for this class was generated from the following file:

- ndc.h